import request from '@/utils/request'

// 查询公司短信列表
export function listCompanySms(query) {
  return request({
    url: '/company/companySms/list',
    method: 'get',
    params: query
  })
}

// 充值公司套餐
export function buySms(query) {
  return request({
    url: '/company/companySms/buySms',
    method: 'post',
    params: query
  })
}

// 查询公司短信详细
export function getCompanySms(smsId) {
  return request({
    url: '/company/companySms/' + smsId,
    method: 'get'
  })
}

// 新增公司短信
export function addCompanySms(data) {
  return request({
    url: '/company/companySms',
    method: 'post',
    data: data
  })
}

// 修改公司短信
export function updateCompanySms(data) {
  return request({
    url: '/company/companySms',
    method: 'put',
    data: data
  })
}

// 删除公司短信
export function delCompanySms(smsId) {
  return request({
    url: '/company/companySms/' + smsId,
    method: 'delete'
  })
}

// 导出公司短信
export function exportCompanySms(query) {
  return request({
    url: '/company/companySms/export',
    method: 'get',
    params: query
  })
}
